using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using HySoft.Common;

namespace HySoft.BaseCallCenter.Web.qualitymanage
{
    public partial class qcshow : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                try
                {
                    LoginUser p_LoginUser = new LoginUser(this.Context);
                    txtUserId.Value = p_LoginUser.UserID.ToString();
                    txtUserName.Value = p_LoginUser.UserName.Trim();
                }
                catch { }
                if (!string.IsNullOrEmpty(Request.QueryString["id"]))
                {
                    txtId.Value = Request.QueryString["id"].Trim();
                    BindTelInfo(Request.QueryString["id"].Trim());
                }
            }
        }

        private void BindTelInfo(string id)
        {
            try
            {
                Model.T_Call_CallRecords_QC model = new BLL.T_Call_CallRecords_QC().GetModel(Convert.ToInt32(id));
                if (model != null)
                {
                    this.lblCallNumber.Text = model.CallNumber;
                    this.lblCallType.Text = model.CallType.ToString().Replace("0", "呼入").Replace("1", "呼出");
                    this.lblBeginTime.Text = model.BeginTime.ToString();
                    this.lblTalkLongTime.Text = model.TalkLongTime.ToString() + "秒";
                    this.lblUserCode.Text = model.UserCode;
                    this.lblUserName.Text = model.UserName;
                }
            }
            catch
            {
            }
        }

        public string GetSrc()
        {
            string res = "";
            try
            {
                BLL.T_Sys_SystemConfig bll_T_Sys_SystemConfig = new BLL.T_Sys_SystemConfig();
                string CTIserverIP = bll_T_Sys_SystemConfig.GetParamValueByParamCode("PlayPath");//CTIIP

                string path = Request.QueryString["path"];
                if (path.IndexOf(":") < 0)
                {
                    res = CTIserverIP + path;
                }
                else
                {
                    res = path.Replace("D:", CTIserverIP);
                }
                res = HttpUtility.HtmlEncode(res);
            }
            catch
            {
            }
            return res;
        }

        protected void btnSubmit_Click(object sender, EventArgs e)
        {

        }
    }
}